Package javax.media.j3d

# Interface ShaderErrorListener

public interface ShaderErrorListener
Listener interface for monitoring errors in Shader Programs. Compile and link errors are reported by the shader compiler, as are runtime errors, such as those resulting from shader attributes that aren't found or are of the wrong type.

Since:
  Java 3D 1.4
See Also:
  - `VirtualUniverse.addShaderErrorListener(javax.media.j3d.ShaderErrorListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`errorOccurred(ShaderError error)`
Invoked when an error occurs while compiling, linking or executing a programmable shader.

## Method Details

### errorOccurred

void errorOccurred(ShaderError error)
Invoked when an error occurs while compiling, linking or executing a programmable shader.

Parameters:
  `error` - object that contains the details of the error.